version: "3.4"

x-logging: &default-logging
    driver: "json-file"
    options:
        max-size: "500k"
        max-file: "10"

services:
  netdata:
    image: netdata/netdata:v{{ netdata_version }}
    restart: unless-stopped
    expose:
      - 19999
    cap_add:
      - SYS_PTRACE
    security_opt:
      - apparmor:unconfined
    networks:
      - internal
    environment:
      - PGID={{ docker_group_id }}
    volumes:
      - /:/host:ro
      - /proc:/host/proc:ro
      - /sys:/host/sys:ro
      - /var/run/docker.sock:/var/run/docker.sock:rw
      - ./netdata.conf:/etc/netdata/netdata.conf
      - ./stream.conf:/etc/netdata/stream.conf
  web:
    image: quay.io/oauth2-proxy/oauth2-proxy:v{{ oauth_reverse_proxy_version }}
    restart: unless-stopped
    expose:
      - 4180
    networks:
      - web
      - internal
    environment:
      - OAUTH2_PROXY_COOKIE_SECRET={{ oidc_cookie_secret_seed }}
      - OAUTH2_PROXY_EMAIL_DOMAIN={{ oidc_email_domain }}
      - OAUTH2_PROXY_PROVIDER=nextcloud
      - OAUTH2_PROXY_CLIENT_ID={{ oidc_client_id }}
      - OAUTH2_PROXY_CLIENT_SECRET={{ oidc_client_secret }}
      - OAUTH2_PROXY_LOGIN_URL="{{ oidc_nextcloud_base_url }}/index.php/apps/oauth2/authorize"
      - OAUTH2_PROXY_REDEEM_URL="{{ oidc_nextcloud_base_url }}/index.php/apps/oauth2/api/v1/token"
      - OAUTH2_PROXY_VALIDATE_URL="{{ oidc_nextcloud_base_url }}/ocs/v2.php/cloud/user?format=json"
      - OAUTH2_PROXY_UPSTREAM=http://netdata:19999
      - OAUTH2_PROXY_REVERSE_PROXY=true
      - OAUTH2_PROXY_HTTP_ADDRESS=0.0.0.0:4180
      - OAUTH2_PROXY_EMAIL_DOMAIN=*


    labels:
      - "traefik.enable=true"
      - "traefik.docker.network=web"
      - "traefik.http.routers.{{ netdata_name }}-netdata.entrypoints=websecure"
      - "traefik.http.routers.{{ netdata_name }}-netdata.rule=Host(`{{ netdata_domain }}`)"
      - "traefik.http.routers.{{ netdata_name }}-netdata.tls.certresolver=httpsresolver"
      - "traefik.http.services.{{ netdata_name }}-netdata.loadbalancer.server.port=4180"
networks:
    web:
        external: true
    internal:

volumes:
    db:
